package com.objis.demostruts2.service;

import com.objis.demostruts2.dao.UserDao;
import com.objis.demostruts2.domaine.Utilisateur;

public class UserManager implements IManager<Utilisateur> {

	UserDao dao;
	
	@Override
	public void sauvegarder(Utilisateur user) {
		// Design pattern 'Business Delegate'
		dao.save(user);
		System.out.println(user);
	}

	@Override
	public Utilisateur obtenir(String login) {
		return dao.get(login);
	}

	@Override
	public void mettreAjour(Utilisateur user) {
		dao.update(user);		
	}

	@Override
	public void supprimer(Utilisateur user) {
		dao.delete(user);
		
	}

	@Override
	public void supprimerParLogin(String login) {
		// TODO Auto-generated method stub
		dao.deleteByLogin(login);
		
	}

	public UserManager(UserDao dao) {
		super();
		this.dao = dao;
	}


}
